"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Stack = void 0;
const tslib_1 = require("tslib");
const store_1 = require("./store");
class Stack {
    constructor(name, ipfs) {
        this.name = name;
        this.store = new store_1.Store(ipfs, name);
    }
    static create(name, ipfs) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            // TODO: check ipfs for DHT turned on
            return new Stack(name, ipfs);
        });
    }
}
exports.Stack = Stack;
//# sourceMappingURL=stack.js.map